Overview

Qt for Symbian aims to support all Symbian/S60 devices based on 3rd Edition Feature Pack 1 onwards. However, there are some exceptions to that. Below mentioned are few of them.

Nokia N96, Nokia 6788, Nokia 6788i

Platform : S60 3rd Edition, FP2
Qt Version : Qt 4.6.3

Nokia N96 and other Nokia devices based on the same hardware platform (like 6788 and 6788i in China market) are not supported by Qt for Symbian.

Qt for Symbian aims to support all Symbian/S60 devices based on S60 3rd Edition, Feature Pack 1 or later. However, Qt libraries are built for ARM version 6 architecture (armv6) on Symbian, while Nokia N96 (a 3rd Ed, FP2 device) only supports version 5 (armv5).

The sis package containing Qt binaries can be installed on the Nokia N96 successfully. However, Qt applications are terminated with KERN-EXEC 3 panic on startup.

Solution: No known solution or workaround exist.